Page MenuHomePhabricator

(diff) on Special:Undelete uses hard-coded parentheses
Closed, DeclinedPublic

Description

In "Page history" list items, the second parameter passed to "undelete-revision-row2" message.

Just missed Google Code-In. :(

Details

Related Gerrit Patches:
mediawiki/core : masterRemove hardcoded parentheses

Event Timeline

liangent created this task.Feb 17 2016, 8:53 AM
liangent raised the priority of this task from to Needs Triage.
liangent updated the task description. (Show Details)
liangent added a subscriber: liangent.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 17 2016, 8:53 AM
Haritha28 moved this task from Backlog to Doing on the good first task board.Feb 21 2016, 8:31 AM

Change 272319 had a related patch set uploaded (by Haritha28):
Remove hardcoded parentheses

https://gerrit.wikimedia.org/r/272319

siebrand closed this task as Declined.Feb 21 2016, 5:15 PM
siebrand added a subscriber: siebrand.

This isn't a case of hard-coded parenthesis. The parentheses are part of message "$1 ($2) $3 . . $4 $5 $6 $7 $8" with key "undelete-revision-row2" in MediaWiki core, and as such i18n is just fine.

Adding the parentheses are proposed in https://gerrit.wikimedia.org/r/#/c/272319/1/includes/specials/SpecialUndelete.php obscures the message (even) further. The solution here, as often, is to have more complete localization.

Because of the above, I'm closing this ticket as declined.

Change 272319 abandoned by Bartosz Dziewoński:
Remove hardcoded parentheses

Reason:
Per task.

https://gerrit.wikimedia.org/r/272319

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 27 2016, 2:54 PM